Subject: Re: bug#6413: What does ntdll!DbgUiConnectToDbg mean? (on w32)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Jun 2010 21:10:34 +0300

> From: Lennart Borgman <[email-masked]>
> Date: Sun, 13 Jun 2010 18:58:25 +0200
> Cc: 
> 
> I just got this from the gdb running Emacs:
> 
> Program received signal SIGTRAP, Trace/breakpoint trap.
> [Switching to Thread 372.0xcec]
> 0x7c90120f in ntdll!DbgUiConnectToDbg () from C:\WINDOWS\system32\ntdll.dll
> (gdb) bt
> #0  0x7c90120f in ntdll!DbgUiConnectToDbg ()
>    from C:\WINDOWS\system32\ntdll.dll
> #1  0x7c951e40 in ntdll!KiIntSystemCall () from C:\WINDOWS\system32\ntdll.dll
> #2  0x00000005 in ?? ()
> #3  0x00000004 in ?? ()
> #4  0x00000001 in ?? ()
> #5  0x215affd0 in ?? ()
> #6  0x00000000 in ?? ()
> (gdb) c
> 
> Is there anything I can do to look into it further?

Try "info threads".  I'm guessing you will see a couple more threads,
in which case switch to each one of them and type "bt" to see their
call-stack.